[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: rawhide report: 20070818 changes



On Mon, 2007-08-20 at 16:53 -0400, Jesse Keating wrote:
> On Mon, 20 Aug 2007 16:45:59 -0400
> Jeremy Katz <katzj redhat com> wrote:
> > > > Dumb and untried question: what happens if compiz-gnome obsoletes
> > > > "compiz <= oldversion" and requires "compiz" (where oldversion is
> > > > less than the current distribution version)?  
> > > 
> > > Don't think that would do what you want it to do,   
> > 
> > It _should_ unless I've gone completely batty today (note: entirely
> > possible ;-)
> 
> Erm, lets walk through this because maybe /I/ have gone batty.
> 
> compiz-gnome obsoletes compiz that you have installed, but doesn't
> Provide it.  compiz itself provides compiz.  How does that get
> compiz-gnome installed?  And if it did, wouldn't you want to do the
> same thing for compiz-kde for the KDE users?

The key part is the obsoletes compiz < %{oldversionthatwasn'tsplit}.  So
compiz-gnome gets pulled in to replace the old compiz.  It then requires
new compiz, and things are happy.

And there wasn't previously the compiz-kde bits based on a quick look at
what I currently have installed (haven't updated yet today)

Jeremy


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]